Separate configure scripts for CoCoALib and CoCoA-5
Status: In Progress Start date: 30 Sep 2016

Priority: Normal Due date:  

Assignee: John Abbott % Done: 10%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.30 hour

Description

Currently there is a single configure script for both CoCoALib and CoCoA-5.  Strictly they should be separate.

Is it feasible to separate them?  Is it worth doing so?

Related issues:

Related to CoCoALib - Design #932: CoCoALib configuration: BOOST dependency Closed 30 Sep 2016

Related to CoCoA-5 - Bug #757: readline: fix script for finding libreadline Closed 31 Jul 2015

Related to CoCoALib - Support #1353: configure script help Closed 27 Oct 2019

Related to CoCoALib - Feature #1360: configure script: add flags for "only co... Closed 01 Nov 2019

Related to CoCoA-5 - Feature #1479: CoCoA release for linux: CoCoAInterpreter... Closed 07 Aug 2020

History

#1 - 30 Sep 2016 11:20 - John Abbott

- Related to Design #932: CoCoALib configuration: BOOST dependency added

#2 - 03 Oct 2016 14:11 - John Abbott

- Related to Bug #757: readline: fix script for finding libreadline added

#3 - 28 Apr 2017 11:27 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoALib

- Category changed from Philosophy to Portability

- Assignee set to John Abbott

- Target version set to CoCoALib-1.0

I'd rather not.

First of all, it works as it is.

Secondly, CoCoALib and CoCoA-5 are strictly related: nice to keep them strictly tied.

#4 - 28 Apr 2017 11:50 - John Abbott

Oh, I am of the opposite opinion.

Whatever solution we adopt, it should be as easy as possible to configure and build CoCoALib and CoCoA-5 together.

#5 - 27 Oct 2019 21:13 - John Abbott

- Related to Support #1353: configure script help added

#6 - 09 Jan 2020 13:30 - John Abbott

- Related to Feature #1360: configure script: add flags for "only cocoalib" or "both cocoalib and cocoa5" (for boost) added
#7 - 20 Oct 2020 11:58 - John Abbott

- Related to Feature #1479: CoCoA release for linux: CoCoAInterpreter: with and without libreadline? added

#8 - 14 Oct 2022 10:11 - Anna Maria Bigatti

Anna Maria Bigatti wrote:

I'd rather not.

First of all, it works as it is.

Secondly, CoCoALib and CoCoA-5 are strictly related: nice to keep them strictly tied.

 

I still think they should stay together.

We have added the flag --only-cocoalib  (so that it does not look for boost)

#9 - 14 Oct 2022 11:53 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99850

- % Done changed from 0 to 10

The advantage of two separate configure scripts is that they would be smaller (and more manageable?) than the one large, cumbersome script we

currently have.

The disadvantage is that it would become more involved for anyone who wants to build CoCoA-5 (and GUI?) from source:

they would have to go through two separate configuration steps.

Maybe in this instance we should go with if it ain't broke, don't fix it

What we have currently seems to work adequately (but it is a pain to maintain).

We can stick with what we have until some future point where we are forced to

reconsider... we do have far more pressing matters to attend to.

Reject?

#10 - 23 Jan 2024 21:52 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
